Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Common/vtkDataObject.h File Reference

`#include "vtkObject.h"`

Include dependency graph for vtkDataObject.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

class | vtkDataObject
| general representation of visualization data More...

## Defines

#define | VTK_PIECES_EXTENT 0
#define | VTK_3D_EXTENT 1

## Define Documentation

#define VTK_PIECES_EXTENT 0

| Definition at line 60 of file vtkDataObject.h. Referenced by vtkDataObject::GetExtentType().

#define VTK_3D_EXTENT 1

| Definition at line 61 of file vtkDataObject.h. Referenced by vtkImageStencilData::GetExtentType(), vtkStructuredGrid::GetExtentType(), vtkRectilinearGrid::GetExtentType(), and vtkImageData::GetExtentType().